5d5122f7ec8d516d0c7e612a616bfe68205f9991
[com/asn1c.git] / tests / tests-asn1c-smoke / Makefile
1 # Makefile.in generated by automake 1.15 from Makefile.am.
2 # tests/tests-asn1c-smoke/Makefile.  Generated from Makefile.in by configure.
3
4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15
16
17 am__is_gnu_make = { \
18   if test -z '$(MAKELEVEL)'; then \
19     false; \
20   elif test -n '$(MAKE_HOST)'; then \
21     true; \
22   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
23     true; \
24   else \
25     false; \
26   fi; \
27 }
28 am__make_running_with_option = \
29   case $${target_option-} in \
30       ?) ;; \
31       *) echo "am__make_running_with_option: internal error: invalid" \
32               "target option '$${target_option-}' specified" >&2; \
33          exit 1;; \
34   esac; \
35   has_opt=no; \
36   sane_makeflags=$$MAKEFLAGS; \
37   if $(am__is_gnu_make); then \
38     sane_makeflags=$$MFLAGS; \
39   else \
40     case $$MAKEFLAGS in \
41       *\\[\ \   ]*) \
42         bs=\\; \
43         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
44           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
45     esac; \
46   fi; \
47   skip_next=no; \
48   strip_trailopt () \
49   { \
50     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
51   }; \
52   for flg in $$sane_makeflags; do \
53     test $$skip_next = yes && { skip_next=no; continue; }; \
54     case $$flg in \
55       *=*|--*) continue;; \
56         -*I) strip_trailopt 'I'; skip_next=yes;; \
57       -*I?*) strip_trailopt 'I';; \
58         -*O) strip_trailopt 'O'; skip_next=yes;; \
59       -*O?*) strip_trailopt 'O';; \
60         -*l) strip_trailopt 'l'; skip_next=yes;; \
61       -*l?*) strip_trailopt 'l';; \
62       -[dEDm]) skip_next=yes;; \
63       -[JT]) skip_next=yes;; \
64     esac; \
65     case $$flg in \
66       *$$target_option*) has_opt=yes; break;; \
67     esac; \
68   done; \
69   test $$has_opt = yes
70 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
71 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
72 pkgdatadir = $(datadir)/asn1c
73 pkgincludedir = $(includedir)/asn1c
74 pkglibdir = $(libdir)/asn1c
75 pkglibexecdir = $(libexecdir)/asn1c
76 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
77 install_sh_DATA = $(install_sh) -c -m 644
78 install_sh_PROGRAM = $(install_sh) -c
79 install_sh_SCRIPT = $(install_sh) -c
80 INSTALL_HEADER = $(INSTALL_DATA)
81 transform = $(program_transform_name)
82 NORMAL_INSTALL = :
83 PRE_INSTALL = :
84 POST_INSTALL = :
85 NORMAL_UNINSTALL = :
86 PRE_UNINSTALL = :
87 POST_UNINSTALL = :
88 build_triplet = x86_64-pc-linux-gnu
89 host_triplet = x86_64-pc-linux-gnu
90 subdir = tests/tests-asn1c-smoke
91 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
92 am__aclocal_m4_deps =  \
93         $(top_srcdir)/m4/ax_check_compile_and_link_flag.m4 \
94         $(top_srcdir)/m4/ax_check_compile_flag.m4 \
95         $(top_srcdir)/m4/ax_code_coverage.m4 \
96         $(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
97         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
98         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
99 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
100         $(ACLOCAL_M4)
101 DIST_COMMON = $(srcdir)/Makefile.am $(dist_check_SCRIPTS) \
102         $(am__DIST_COMMON)
103 mkinstalldirs = $(install_sh) -d
104 CONFIG_HEADER = $(top_builddir)/config.h
105 CONFIG_CLEAN_FILES =
106 CONFIG_CLEAN_VPATH_FILES =
107 AM_V_P = $(am__v_P_$(V))
108 am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
109 am__v_P_0 = false
110 am__v_P_1 = :
111 AM_V_GEN = $(am__v_GEN_$(V))
112 am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
113 am__v_GEN_0 = @echo "  GEN     " $@;
114 am__v_GEN_1 = 
115 AM_V_at = $(am__v_at_$(V))
116 am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
117 am__v_at_0 = @
118 am__v_at_1 = 
119 SOURCES =
120 DIST_SOURCES =
121 am__can_run_installinfo = \
122   case $$AM_UPDATE_INFO_DIR in \
123     n|no|NO) false;; \
124     *) (install-info --version) >/dev/null 2>&1;; \
125   esac
126 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
127 am__tty_colors_dummy = \
128   mgn= red= grn= lgn= blu= brg= std=; \
129   am__color_tests=no
130 am__tty_colors = { \
131   $(am__tty_colors_dummy); \
132   if test "X$(AM_COLOR_TESTS)" = Xno; then \
133     am__color_tests=no; \
134   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
135     am__color_tests=yes; \
136   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
137     am__color_tests=yes; \
138   fi; \
139   if test $$am__color_tests = yes; then \
140     red='\e[0;31m'; \
141     grn='\e[0;32m'; \
142     lgn='\e[1;32m'; \
143     blu='\e[1;34m'; \
144     mgn='\e[0;35m'; \
145     brg='\e[1m'; \
146     std='\e[m'; \
147   fi; \
148 }
149 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
150 am__vpath_adj = case $$p in \
151     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
152     *) f=$$p;; \
153   esac;
154 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
155 am__install_max = 40
156 am__nobase_strip_setup = \
157   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
158 am__nobase_strip = \
159   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
160 am__nobase_list = $(am__nobase_strip_setup); \
161   for p in $$list; do echo "$$p $$p"; done | \
162   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
163   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
164     if (++n[$$2] == $(am__install_max)) \
165       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
166     END { for (dir in files) print dir, files[dir] }'
167 am__base_list = \
168   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
169   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
170 am__uninstall_files_from_dir = { \
171   test -z "$$files" \
172     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
173     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
174          $(am__cd) "$$dir" && rm -f $$files; }; \
175   }
176 am__recheck_rx = ^[     ]*:recheck:[    ]*
177 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
178 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
179 # A command that, given a newline-separated list of test names on the
180 # standard input, print the name of the tests that are to be re-run
181 # upon "make recheck".
182 am__list_recheck_tests = $(AWK) '{ \
183   recheck = 1; \
184   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
185     { \
186       if (rc < 0) \
187         { \
188           if ((getline line2 < ($$0 ".log")) < 0) \
189             recheck = 0; \
190           break; \
191         } \
192       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
193         { \
194           recheck = 0; \
195           break; \
196         } \
197       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
198         { \
199           break; \
200         } \
201     }; \
202   if (recheck) \
203     print $$0; \
204   close ($$0 ".trs"); \
205   close ($$0 ".log"); \
206 }'
207 # A command that, given a newline-separated list of test names on the
208 # standard input, create the global log from their .trs and .log files.
209 am__create_global_log = $(AWK) ' \
210 function fatal(msg) \
211 { \
212   print "fatal: making $@: " msg | "cat >&2"; \
213   exit 1; \
214 } \
215 function rst_section(header) \
216 { \
217   print header; \
218   len = length(header); \
219   for (i = 1; i <= len; i = i + 1) \
220     printf "="; \
221   printf "\n\n"; \
222 } \
223 { \
224   copy_in_global_log = 1; \
225   global_test_result = "RUN"; \
226   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
227     { \
228       if (rc < 0) \
229          fatal("failed to read from " $$0 ".trs"); \
230       if (line ~ /$(am__global_test_result_rx)/) \
231         { \
232           sub("$(am__global_test_result_rx)", "", line); \
233           sub("[        ]*$$", "", line); \
234           global_test_result = line; \
235         } \
236       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
237         copy_in_global_log = 0; \
238     }; \
239   if (copy_in_global_log) \
240     { \
241       rst_section(global_test_result ": " $$0); \
242       while ((rc = (getline line < ($$0 ".log"))) != 0) \
243       { \
244         if (rc < 0) \
245           fatal("failed to read from " $$0 ".log"); \
246         print line; \
247       }; \
248       printf "\n"; \
249     }; \
250   close ($$0 ".trs"); \
251   close ($$0 ".log"); \
252 }'
253 # Restructured Text title.
254 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
255 # Solaris 10 'make', and several other traditional 'make' implementations,
256 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
257 # by disabling -e (using the XSI extension "set +e") if it's set.
258 am__sh_e_setup = case $$- in *e*) set +e;; esac
259 # Default flags passed to test drivers.
260 am__common_driver_flags = \
261   --color-tests "$$am__color_tests" \
262   --enable-hard-errors "$$am__enable_hard_errors" \
263   --expect-failure "$$am__expect_failure"
264 # To be inserted before the command running the test.  Creates the
265 # directory for the log if needed.  Stores in $dir the directory
266 # containing $f, in $tst the test, in $log the log.  Executes the
267 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
268 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
269 # will run the test scripts (or their associated LOG_COMPILER, if
270 # thy have one).
271 am__check_pre = \
272 $(am__sh_e_setup);                                      \
273 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
274 $(am__tty_colors);                                      \
275 srcdir=$(srcdir); export srcdir;                        \
276 case "$@" in                                            \
277   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
278     *) am__odir=.;;                                     \
279 esac;                                                   \
280 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
281   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
282 if test -f "./$$f"; then dir=./;                        \
283 elif test -f "$$f"; then dir=;                          \
284 else dir="$(srcdir)/"; fi;                              \
285 tst=$$dir$$f; log='$@';                                 \
286 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
287   am__enable_hard_errors=no;                            \
288 else                                                    \
289   am__enable_hard_errors=yes;                           \
290 fi;                                                     \
291 case " $(XFAIL_TESTS) " in                              \
292   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
293     am__expect_failure=yes;;                            \
294   *)                                                    \
295     am__expect_failure=no;;                             \
296 esac;                                                   \
297 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
298 # A shell command to get the names of the tests scripts with any registered
299 # extension removed (i.e., equivalently, the names of the test logs, with
300 # the '.log' extension removed).  The result is saved in the shell variable
301 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
302 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
303 # since that might cause problem with VPATH rewrites for suffix-less tests.
304 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
305 am__set_TESTS_bases = \
306   bases='$(TEST_LOGS)'; \
307   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
308   bases=`echo $$bases`
309 RECHECK_LOGS = $(TEST_LOGS)
310 AM_RECURSIVE_TARGETS = check recheck
311 TEST_SUITE_LOG = test-suite.log
312 TEST_EXTENSIONS =  .test
313 LOG_DRIVER = $(SHELL) $(top_srcdir)/config/test-driver
314 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
315 am__set_b = \
316   case '$@' in \
317     */*) \
318       case '$*' in \
319         */*) b='$*';; \
320           *) b=`echo '$@' | sed 's/\.log$$//'`; \
321        esac;; \
322     *) \
323       b='$*';; \
324   esac
325 am__test_logs1 = $(TESTS:=.log)
326 am__test_logs2 = $(am__test_logs1:.log=.log)
327 TEST_LOGS = $(am__test_logs2:.test.log=.log)
328 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/config/test-driver
329 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
330         $(TEST_LOG_FLAGS)
331 am__DIST_COMMON = $(srcdir)/Makefile.in \
332         $(top_srcdir)/config/test-driver README
333 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
334 ACLOCAL = ${SHELL} /home/nokia/mouse07410/asn1c/config/missing aclocal-1.15
335 ADD_CFLAGS = 
336 AMTAR = $${TAR-tar}
337 AM_DEFAULT_VERBOSITY = 0
338 AR = ar
339 ASAN_ENV_FLAGS =  ASAN_OPTIONS=detect_leaks=1
340 AUTOCONF = ${SHELL} /home/nokia/mouse07410/asn1c/config/missing autoconf
341 AUTOHEADER = ${SHELL} /home/nokia/mouse07410/asn1c/config/missing autoheader
342 AUTOMAKE = ${SHELL} /home/nokia/mouse07410/asn1c/config/missing automake-1.15
343 AWK = gawk
344 CC = gcc
345 CCDEPMODE = depmode=gcc3
346 CFLAGS = -g -O2 -Wall -Wcast-qual -Wchar-subscripts -Wmissing-prototypes -Wmissing-declarations -Wno-error=attributes -Wno-error=cast-align -std=gnu99
347 CFLAGS_M32 = 
348 CODE_COVERAGE_CFLAGS = 
349 CODE_COVERAGE_CPPFLAGS = 
350 CODE_COVERAGE_CXXFLAGS = 
351 CODE_COVERAGE_ENABLED = no
352 CODE_COVERAGE_LDFLAGS = 
353 CODE_COVERAGE_LIBS = 
354 CPP = gcc -E
355 CPPFLAGS = 
356 CXX = g++
357 CXXCPP = g++ -E
358 CXXDEPMODE = depmode=gcc3
359 CXXFLAGS = -std=c++11
360 CYGPATH_W = echo
361 DEFS = -DHAVE_CONFIG_H
362 DEPDIR = .deps
363 DLLTOOL = false
364 DSYMUTIL = 
365 DUMPBIN = 
366 ECHO_C = 
367 ECHO_N = -n
368 ECHO_T = 
369 EGREP = /bin/grep -E
370 EXEEXT = 
371 FGREP = /bin/grep -F
372 GCOV = 
373 GENHTML = 
374 GREP = /bin/grep
375 INSTALL = /usr/bin/install -c
376 INSTALL_DATA = ${INSTALL} -m 644
377 INSTALL_PROGRAM = ${INSTALL}
378 INSTALL_SCRIPT = ${INSTALL}
379 INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
380 LCOV = 
381 LD = /usr/bin/ld -m elf_x86_64
382 LDFLAGS = 
383 LEX = flex
384 LEXLIB = -lfl
385 LEX_OUTPUT_ROOT = lex.yy
386 LIBFUZZER_CFLAGS = 
387 LIBOBJS = 
388 LIBS = 
389 LIBTOOL = $(SHELL) $(top_builddir)/libtool
390 LIPO = 
391 LN_S = ln -s
392 LTLIBOBJS = 
393 LT_SYS_LIBRARY_PATH = 
394 MAKEINFO = ${SHELL} /home/nokia/mouse07410/asn1c/config/missing makeinfo
395 MANIFEST_TOOL = :
396 MKDIR_P = /bin/mkdir -p
397 NM = /usr/bin/nm -B
398 NMEDIT = 
399 OBJDUMP = objdump
400 OBJEXT = o
401 OTOOL = 
402 OTOOL64 = 
403 PACKAGE = asn1c
404 PACKAGE_BUGREPORT = vlm@lionet.info
405 PACKAGE_NAME = asn1c
406 PACKAGE_STRING = asn1c 0.9.29
407 PACKAGE_TARNAME = asn1c
408 PACKAGE_URL = 
409 PACKAGE_VERSION = 0.9.29
410 PANDOC = 
411 PATH_SEPARATOR = :
412 RANLIB = ranlib
413 SANITIZER_CFLAGS =  -fsanitize=undefined -fno-sanitize-recover=undefined -fno-omit-frame-pointer -fsanitize=address -fno-omit-frame-pointer
414 SED = /bin/sed
415 SET_MAKE = 
416 SHELL = /bin/bash
417 SKELETONS_CFLAGS =   -std=c89 -Wpedantic -Wno-long-long  -fsanitize=undefined -fno-sanitize-recover=undefined -fno-omit-frame-pointer -fsanitize=address -fno-omit-frame-pointer
418 STRIP = strip
419 TESTSUITE_CFLAGS =  -std=gnu99 -Wno-error=unused-variable  -fsanitize=undefined -fno-sanitize-recover=undefined -fno-omit-frame-pointer -fsanitize=address -fno-omit-frame-pointer
420 VERSION = 0.9.29
421 YACC = bison -y
422 YFLAGS = 
423 abs_builddir = /home/nokia/mouse07410/asn1c/tests/tests-asn1c-smoke
424 abs_srcdir = /home/nokia/mouse07410/asn1c/tests/tests-asn1c-smoke
425 abs_top_builddir = /home/nokia/mouse07410/asn1c
426 abs_top_srcdir = /home/nokia/mouse07410/asn1c
427 ac_ct_AR = ar
428 ac_ct_CC = gcc
429 ac_ct_CXX = g++
430 ac_ct_DUMPBIN = 
431 am__include = include
432 am__leading_dot = .
433 am__quote = 
434 am__tar = $${TAR-tar} chof - "$$tardir"
435 am__untar = $${TAR-tar} xf -
436 bindir = ${exec_prefix}/bin
437 build = x86_64-pc-linux-gnu
438 build_alias = 
439 build_cpu = x86_64
440 build_os = linux-gnu
441 build_vendor = pc
442 builddir = .
443 datadir = ${datarootdir}
444 datarootdir = ${prefix}/share
445 docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
446 dvidir = ${docdir}
447 exec_prefix = ${prefix}
448 host = x86_64-pc-linux-gnu
449 host_alias = 
450 host_cpu = x86_64
451 host_os = linux-gnu
452 host_vendor = pc
453 htmldir = ${docdir}
454 includedir = ${prefix}/include
455 infodir = ${datarootdir}/info
456 install_sh = ${SHELL} /home/nokia/mouse07410/asn1c/config/install-sh
457 libdir = ${exec_prefix}/lib
458 libexecdir = ${exec_prefix}/libexec
459 localedir = ${datarootdir}/locale
460 localstatedir = ${prefix}/var
461 mandir = ${datarootdir}/man
462 mkdir_p = $(MKDIR_P)
463 oldincludedir = /usr/include
464 pdfdir = ${docdir}
465 prefix = /usr/local
466 program_transform_name = s,x,x,
467 psdir = ${docdir}
468 runstatedir = ${localstatedir}/run
469 sbindir = ${exec_prefix}/sbin
470 sharedstatedir = ${prefix}/com
471 srcdir = .
472 sysconfdir = ${prefix}/etc
473 target_alias = 
474 top_build_prefix = ../../
475 top_builddir = ../..
476 top_srcdir = ../..
477 dist_check_SCRIPTS = check-asn1c-smoke.sh
478 TESTS_ENVIRONMENT = MAKE=${MAKE}                     \
479                     top_builddir=${top_builddir}    \
480                     top_srcdir=${top_srcdir}
481
482 TESTS = $(dist_check_SCRIPTS)
483 CLEANFILES = Makefile.am.* test* *.[acho]
484 EXTRA_DIST = README
485 all: all-am
486
487 .SUFFIXES:
488 .SUFFIXES: .log .test .test$(EXEEXT) .trs
489 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
490         @for dep in $?; do \
491           case '$(am__configure_deps)' in \
492             *$$dep*) \
493               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
494                 && { if test -f $@; then exit 0; else break; fi; }; \
495               exit 1;; \
496           esac; \
497         done; \
498         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tests/tests-asn1c-smoke/Makefile'; \
499         $(am__cd) $(top_srcdir) && \
500           $(AUTOMAKE) --foreign tests/tests-asn1c-smoke/Makefile
501 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
502         @case '$?' in \
503           *config.status*) \
504             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
505           *) \
506             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
507             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
508         esac;
509
510 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
511         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
512
513 $(top_srcdir)/configure:  $(am__configure_deps)
514         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
515 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
516         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
517 $(am__aclocal_m4_deps):
518
519 mostlyclean-libtool:
520         -rm -f *.lo
521
522 clean-libtool:
523         -rm -rf .libs _libs
524 tags TAGS:
525
526 ctags CTAGS:
527
528 cscope cscopelist:
529
530
531 # Recover from deleted '.trs' file; this should ensure that
532 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
533 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
534 # to avoid problems with "make -n".
535 .log.trs:
536         rm -f $< $@
537         $(MAKE) $(AM_MAKEFLAGS) $<
538
539 # Leading 'am--fnord' is there to ensure the list of targets does not
540 # expand to empty, as could happen e.g. with make check TESTS=''.
541 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
542 am--force-recheck:
543         @:
544
545 $(TEST_SUITE_LOG): $(TEST_LOGS)
546         @$(am__set_TESTS_bases); \
547         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
548         redo_bases=`for i in $$bases; do \
549                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
550                     done`; \
551         if test -n "$$redo_bases"; then \
552           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
553           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
554           if $(am__make_dryrun); then :; else \
555             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
556           fi; \
557         fi; \
558         if test -n "$$am__remaking_logs"; then \
559           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
560                "recursion detected" >&2; \
561         elif test -n "$$redo_logs"; then \
562           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
563         fi; \
564         if $(am__make_dryrun); then :; else \
565           st=0;  \
566           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
567           for i in $$redo_bases; do \
568             test -f $$i.trs && test -r $$i.trs \
569               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
570             test -f $$i.log && test -r $$i.log \
571               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
572           done; \
573           test $$st -eq 0 || exit 1; \
574         fi
575         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
576         ws='[   ]'; \
577         results=`for b in $$bases; do echo $$b.trs; done`; \
578         test -n "$$results" || results=/dev/null; \
579         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
580         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
581         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
582         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
583         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
584         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
585         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
586         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
587           success=true; \
588         else \
589           success=false; \
590         fi; \
591         br='==================='; br=$$br$$br$$br$$br; \
592         result_count () \
593         { \
594             if test x"$$1" = x"--maybe-color"; then \
595               maybe_colorize=yes; \
596             elif test x"$$1" = x"--no-color"; then \
597               maybe_colorize=no; \
598             else \
599               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
600             fi; \
601             shift; \
602             desc=$$1 count=$$2; \
603             if test $$maybe_colorize = yes && test $$count -gt 0; then \
604               color_start=$$3 color_end=$$std; \
605             else \
606               color_start= color_end=; \
607             fi; \
608             echo "$${color_start}# $$desc $$count$${color_end}"; \
609         }; \
610         create_testsuite_report () \
611         { \
612           result_count $$1 "TOTAL:" $$all   "$$brg"; \
613           result_count $$1 "PASS: " $$pass  "$$grn"; \
614           result_count $$1 "SKIP: " $$skip  "$$blu"; \
615           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
616           result_count $$1 "FAIL: " $$fail  "$$red"; \
617           result_count $$1 "XPASS:" $$xpass "$$red"; \
618           result_count $$1 "ERROR:" $$error "$$mgn"; \
619         }; \
620         {                                                               \
621           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
622             $(am__rst_title);                                           \
623           create_testsuite_report --no-color;                           \
624           echo;                                                         \
625           echo ".. contents:: :depth: 2";                               \
626           echo;                                                         \
627           for b in $$bases; do echo $$b; done                           \
628             | $(am__create_global_log);                                 \
629         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
630         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
631         if $$success; then                                              \
632           col="$$grn";                                                  \
633          else                                                           \
634           col="$$red";                                                  \
635           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
636         fi;                                                             \
637         echo "$${col}$$br$${std}";                                      \
638         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
639         echo "$${col}$$br$${std}";                                      \
640         create_testsuite_report --maybe-color;                          \
641         echo "$$col$$br$$std";                                          \
642         if $$success; then :; else                                      \
643           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
644           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
645             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
646           fi;                                                           \
647           echo "$$col$$br$$std";                                        \
648         fi;                                                             \
649         $$success || exit 1
650
651 check-TESTS:
652         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
653         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
654         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
655         @set +e; $(am__set_TESTS_bases); \
656         log_list=`for i in $$bases; do echo $$i.log; done`; \
657         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
658         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
659         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
660         exit $$?;
661 recheck: all $(dist_check_SCRIPTS)
662         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
663         @set +e; $(am__set_TESTS_bases); \
664         bases=`for i in $$bases; do echo $$i; done \
665                  | $(am__list_recheck_tests)` || exit 1; \
666         log_list=`for i in $$bases; do echo $$i.log; done`; \
667         log_list=`echo $$log_list`; \
668         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
669                 am__force_recheck=am--force-recheck \
670                 TEST_LOGS="$$log_list"; \
671         exit $$?
672 check-asn1c-smoke.sh.log: check-asn1c-smoke.sh
673         @p='check-asn1c-smoke.sh'; \
674         b='check-asn1c-smoke.sh'; \
675         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
676         --log-file $$b.log --trs-file $$b.trs \
677         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
678         "$$tst" $(AM_TESTS_FD_REDIRECT)
679 .test.log:
680         @p='$<'; \
681         $(am__set_b); \
682         $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
683         --log-file $$b.log --trs-file $$b.trs \
684         $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
685         "$$tst" $(AM_TESTS_FD_REDIRECT)
686 #.test$(EXEEXT).log:
687 #       @p='$<'; \
688 #       $(am__set_b); \
689 #       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
690 #       --log-file $$b.log --trs-file $$b.trs \
691 #       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
692 #       "$$tst" $(AM_TESTS_FD_REDIRECT)
693
694 distdir: $(DISTFILES)
695         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
696         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
697         list='$(DISTFILES)'; \
698           dist_files=`for file in $$list; do echo $$file; done | \
699           sed -e "s|^$$srcdirstrip/||;t" \
700               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
701         case $$dist_files in \
702           */*) $(MKDIR_P) `echo "$$dist_files" | \
703                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
704                            sort -u` ;; \
705         esac; \
706         for file in $$dist_files; do \
707           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
708           if test -d $$d/$$file; then \
709             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
710             if test -d "$(distdir)/$$file"; then \
711               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
712             fi; \
713             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
714               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
715               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
716             fi; \
717             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
718           else \
719             test -f "$(distdir)/$$file" \
720             || cp -p $$d/$$file "$(distdir)/$$file" \
721             || exit 1; \
722           fi; \
723         done
724 check-am: all-am
725         $(MAKE) $(AM_MAKEFLAGS) $(dist_check_SCRIPTS)
726         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
727 check: check-am
728 all-am: Makefile
729 installdirs:
730 install: install-am
731 install-exec: install-exec-am
732 install-data: install-data-am
733 uninstall: uninstall-am
734
735 install-am: all-am
736         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
737
738 installcheck: installcheck-am
739 install-strip:
740         if test -z '$(STRIP)'; then \
741           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
742             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
743               install; \
744         else \
745           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
746             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
747             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
748         fi
749 mostlyclean-generic:
750         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
751         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
752         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
753
754 clean-generic:
755         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
756
757 distclean-generic:
758         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
759         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
760
761 maintainer-clean-generic:
762         @echo "This command is intended for maintainers to use"
763         @echo "it deletes files that may require special tools to rebuild."
764 clean: clean-am
765
766 clean-am: clean-generic clean-libtool mostlyclean-am
767
768 distclean: distclean-am
769         -rm -f Makefile
770 distclean-am: clean-am distclean-generic
771
772 dvi: dvi-am
773
774 dvi-am:
775
776 html: html-am
777
778 html-am:
779
780 info: info-am
781
782 info-am:
783
784 install-data-am:
785
786 install-dvi: install-dvi-am
787
788 install-dvi-am:
789
790 install-exec-am:
791
792 install-html: install-html-am
793
794 install-html-am:
795
796 install-info: install-info-am
797
798 install-info-am:
799
800 install-man:
801
802 install-pdf: install-pdf-am
803
804 install-pdf-am:
805
806 install-ps: install-ps-am
807
808 install-ps-am:
809
810 installcheck-am:
811
812 maintainer-clean: maintainer-clean-am
813         -rm -f Makefile
814 maintainer-clean-am: distclean-am maintainer-clean-generic
815
816 mostlyclean: mostlyclean-am
817
818 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
819
820 pdf: pdf-am
821
822 pdf-am:
823
824 ps: ps-am
825
826 ps-am:
827
828 uninstall-am:
829
830 .MAKE: check-am install-am install-strip
831
832 .PHONY: all all-am check check-TESTS check-am clean clean-generic \
833         clean-libtool cscopelist-am ctags-am distclean \
834         distclean-generic distclean-libtool distdir dvi dvi-am html \
835         html-am info info-am install install-am install-data \
836         install-data-am install-dvi install-dvi-am install-exec \
837         install-exec-am install-html install-html-am install-info \
838         install-info-am install-man install-pdf install-pdf-am \
839         install-ps install-ps-am install-strip installcheck \
840         installcheck-am installdirs maintainer-clean \
841         maintainer-clean-generic mostlyclean mostlyclean-generic \
842         mostlyclean-libtool pdf pdf-am ps ps-am recheck tags-am \
843         uninstall uninstall-am
844
845 .PRECIOUS: Makefile
846
847
848 # Tell versions [3.59,3.63) of GNU make to not export all variables.
849 # Otherwise a system limit (for SysV at least) may be exceeded.
850 .NOEXPORT: